Subject: Re: [IPTEL] Comments on RFC2806bis

From: [email-masked]
Date: Thu, 23 May 2002 12:54:33 EDT

In a message dated 5/23/02 10:32:30 AM Eastern Daylight Time, 
[email-masked] writes:

> So what happens if someone dials this "international" number from a 
> location outside of Austria and it gets routed through SIP to a GW within 
> Austria, is that considered originated inside Austria and therefore 
> allowed, or is it considered dialed outside Austria and therefore blocked?
> 
> Mike
> 
> 
> At 12:07 AM 5/23/2002 +0100, Lawrence Conroy wrote:
> >At 6:38 pm -0400 22/5/02, Michael Hammer wrote:
> >>At 05:34 PM 5/22/2002 +0100, Lawrence Conroy wrote:
> >>>At 3:52 pm -0400 21/5/02, Michael Hammer wrote:
> 
<snip>

>>>>>> 
> Austria).
> >>>>>Thus a Viennese phone could have two values for its phone context (01 
> and the
> >>>>>old code - can't remember what this is, off hand). As an aside, the 
> old code
> >>>>>is not valid outside Austria, so writing this in International form is 
> strange.
> >>>
> >>>To which I respond:
> >>>Hi Mike, folks,
> >>>
> >>>(This may be where we get to counting the number of Angels on a pinhead 
> :)
> >>>
> >>>Strictly, the old code is blocked at the International Gateway Exchange.
> >>>Thus it can be written as a valid E.164 number; it is just blocked from
> >>>International origination. Both versions are unambiguous, it's just that
> >>>one is not routable from some origination points.
> >>>
> >>>+43-22-123456 - is this an E.164 number?
> >>>+43-1-123456 - is this an E.164 number?
> >>>If these are dialled from within Austria, they should terminate at the 
> same
> >>>'phone. If you try to dial the first variant outside Austria, it's 
> blocked.
> >>
> >>I don't understand how you can call the number international if it is 
> >>blocked when dialed outside Austria.  Isn't that an oxymoron of some type?
> >
> 

Etc, etc, etc.

I hope I can put this issue to bed once and for all. There seems to be this 
strange story going around about how 43-22 should be blocked from outside 
Austria while 43-1 is allowed and both forms designate the same phone if 
dialed inside Austria. This is false!

Please check the web site www.sauerhof.at which is one of the hotels in the 
famous resort town near Vienna of Baden bei Wien. It clearly shows that their 
telephone number is +43 2252 412510. I have found others of this form.

The "22" following the country code for Austria is not invalid or to be 
blocked by anyone. It is the first part of a perfectly good 4-digit city code.

If there is some other local dialing plan in Vienna or Austria that uses "22" 
for some other purpose, it can not appear in a conflicting position in the 
dialing string and can not be confused with being a part of the international 
or national number.

On the other hand, if such a code is used in the local dialing plan for some 
special purpose, SIP must figure out a way to handle it. But don't treat it 
as a part of the subscribers number.

Mike Pierce

---

From: Lawrence Conroy <[email-masked]>
Date: Thu, 23 May 2002 18:04:31 +0100

At 12:54 pm -0400 23/5/02, [email-masked] wrote:
>
>I hope I can put this issue to bed once and for all. There seems to 
>be this strange story going around about how 43-22 should be blocked 
>from outside Austria while 43-1 is allowed and both forms designate 
>the same phone if dialed inside Austria. This is false!
>
>Please check the web site www.sauerhof.at which is one of the hotels 
>in the famous resort town near Vienna of Baden bei Wien. It clearly 
>shows that their telephone number is +43 2252 412510. I have found 
>others of this form.
>
>The "22" following the country code for Austria is not invalid or to 
>be blocked by anyone. It is the first part of a perfectly good 
>4-digit city code.
>
>If there is some other local dialing plan in Vienna or Austria that 
>uses "22" for some other purpose, it can not appear in a conflicting 
>position in the dialing string and can not be confused with being a 
>part of the international or national number.
>
>On the other hand, if such a code is used in the local dialing plan 
>for some special purpose, SIP must figure out a way to handle it. 
>But don't treat it as a part of the subscribers number.

To which I reply::

OK, I admit it - I mistyped the code - the old code is 222, not 22. 
Sorry about that.

For the rest, see Richard earlier Stastny's post (it's much shorter than mine).

atb,
   Lawrence
-- 
[email-masked]: +44 1794 833666::<my opinions>:
_______________________________________________
IPTEL mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/iptel